[arch-commits] CVS update of extra/gnome/gnome-applets (PKGBUILD gnome-applets.install)

Jan de Groot jgc at archlinux.org
Sun Apr 22 16:21:58 UTC 2007


    Date: Sunday, April 22, 2007 @ 12:21:58
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/gnome-applets

Modified: PKGBUILD (1.36 -> 1.37) gnome-applets.install (1.11 -> 1.12)

upgpkg: gnome-applets 2.18.0-2


-----------------------+
 PKGBUILD              |   33 +++++++++++++++------------------
 gnome-applets.install |   12 +++++++-----
 2 files changed, 22 insertions(+), 23 deletions(-)


Index: extra/gnome/gnome-applets/PKGBUILD
diff -u extra/gnome/gnome-applets/PKGBUILD:1.36 extra/gnome/gnome-applets/PKGBUILD:1.37
--- extra/gnome/gnome-applets/PKGBUILD:1.36	Tue Mar 20 14:09:56 2007
+++ extra/gnome/gnome-applets/PKGBUILD	Sun Apr 22 12:21:58 2007
@@ -1,41 +1,38 @@
-# $Id: PKGBUILD,v 1.36 2007/03/20 18:09:56 jgc Exp $
-# Maintainer: arjan <arjan at archlinux.org>
+# $Id: PKGBUILD,v 1.37 2007/04/22 16:21:58 jgc Exp $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gnome-applets
 pkgver=2.18.0
-pkgrel=1
+pkgrel=2
 pkgdesc="GNOME Applets"
 arch=(i686 x86_64)
-depends=('gstreamer0.10-alsa' 'gnome-panel>=2.18.0' 'libgtop>=2.14.8' 'gucharmap>=1.10.0' 'libnotify>=0.4.3' 'cpufrequtils' 'libgnomekbd>=2.18.0')
-makedepends=('perlxml' 'gnome-doc-utils' 'pkgconfig' 'control-center>=2.18.0')
+license=('GPL')
+depends=('gstreamer0.10-alsa' 'gnome-panel>=2.18.1' 'libgtop>=2.14.8-2' 'gucharmap>=1.10.0-2' 'libnotify>=0.4.4' 'cpufrequtils' 'libgnomekbd>=2.18.1-2' 'scrollkeeper')
+makedepends=('perlxml' 'gnome-doc-utils>=0.10.3' 'pkgconfig' 'control-center>=2.18.1')
 url="http://www.gnome.org"
 groups=(gnome)
 install=gnome-applets.install
-license=(GPL)
 source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.18/${pkgname}-${pkgver}.tar.bz2
 	disable-invest.patch)
 md5sums=('db3ef99c00335798f30fc0a9162c0257' '454a74cf70b30bd748304119ee24907f')
 	
 build() {
-  [ -z "${GNOMEDIR}" ] && . /etc/profile.d/gnome.sh
-  export MAKEFLAGS="-j1"
-
   cd ${startdir}/src/${pkgname}-${pkgver}
   # Disable invest applet, it depends on gnome-python-desktop.
   patch -Np0 -i ${startdir}/src/disable-invest.patch || return 1
   
-  aclocal -I m4 ${ACLOCAL_FLAGS} || return 1
+  aclocal -I m4 || return 1
   autoconf || return 1
   automake || return 1
-  ./configure --prefix=/opt/gnome --disable-scrollkeeper --disable-static
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --libexecdir=/usr/lib/gnome-applets \
+              --localstatedir=/var --disable-static \
+	      --disable-scrollkeeper
   make || return 1
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install
-  rm ${startdir}/pkg/opt/gnome/lib/*.la
-
-  mkdir -p ${startdir}/pkg/opt/gnome/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/opt/gnome/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
-  rm -f ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
+  rm ${startdir}/pkg/usr/lib/*.la
 
-  mkdir -p ${startdir}/pkg/usr/share
-  mv ${startdir}/pkg/opt/gnome/share/icons ${startdir}/pkg/usr/share/
+  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
 }
Index: extra/gnome/gnome-applets/gnome-applets.install
diff -u extra/gnome/gnome-applets/gnome-applets.install:1.11 extra/gnome/gnome-applets/gnome-applets.install:1.12
--- extra/gnome/gnome-applets/gnome-applets.install:1.11	Tue Mar 20 14:09:56 2007
+++ extra/gnome/gnome-applets/gnome-applets.install	Sun Apr 22 12:21:58 2007
@@ -1,8 +1,8 @@
 pkgname=gnome-applets
 
 post_install() {
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
-  opt/gnome/bin/gconftool-2 --makefile-install-rule opt/gnome/share/gconf/schemas/${pkgname}.schemas >/dev/null
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
+  usr/bin/gconftool-2 --makefile-install-rule usr/share/gconf/schemas/${pkgname}.schemas >/dev/null
   scrollkeeper-update -q -p var/lib/scrollkeeper
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
@@ -16,13 +16,15 @@
 }
 
 pre_remove() {
-  if [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
+  if [ -f usr/share/gconf/schemas/${pkgname}.schemas ]; then
+    schemas=(usr/share/gconf/schemas/${pkgname}.schemas)
+  elif [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
     schemas=(opt/gnome/share/gconf/schemas/${pkgname}.schemas)
   else
     schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
   fi
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
-  opt/gnome/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
+  usr/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
 }
 
 post_remove() {




More information about the arch-commits mailing list